Magick++ 7.1.0

Public Member Functions | List of all members
Magick::PathSmoothQuadraticCurvetoRel Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::PathSmoothQuadraticCurvetoRel:
[legend]
Collaboration diagram for Magick::PathSmoothQuadraticCurvetoRel:
[legend]

## Public Member Functions
| PathSmoothQuadraticCurvetoRel (const Magick::Coordinate &coordinate_)
| PathSmoothQuadraticCurvetoRel (const CoordinateList &coordinates_)
| PathSmoothQuadraticCurvetoRel (const PathSmoothQuadraticCurvetoRel &original_)
| ~PathSmoothQuadraticCurvetoRel (void)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
Public Member Functions inherited from Magick::VPathBase
| VPathBase (void)
virtual | ~VPathBase (void)

## Detailed Description

Definition at line 2895 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ PathSmoothQuadraticCurvetoRel() [1/3]

Magick::PathSmoothQuadraticCurvetoRel::PathSmoothQuadraticCurvetoRel | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2285 of file Drawable.cpp.

## ◆ PathSmoothQuadraticCurvetoRel() [2/3]

Magick::PathSmoothQuadraticCurvetoRel::PathSmoothQuadraticCurvetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2290 of file Drawable.cpp.

## ◆ PathSmoothQuadraticCurvetoRel() [3/3]

Magick::PathSmoothQuadraticCurvetoRel::PathSmoothQuadraticCurvetoRel | ( | const PathSmoothQuadraticCurvetoRel & | original_ | ) |

Definition at line 2295 of file Drawable.cpp.

## ◆ ~PathSmoothQuadraticCurvetoRel()

Magick::PathSmoothQuadraticCurvetoRel::~PathSmoothQuadraticCurvetoRel | ( | void |  | ) |

Definition at line 2300 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::VPathBase * Magick::PathSmoothQuadraticCurvetoRel::copy | ( |  | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2312 of file Drawable.cpp.

## ◆ operator()()

void Magick::PathSmoothQuadraticCurvetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::VPathBase.

Definition at line 2304 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp